package org.dataflow;

import org.diligentproject.searchservice.searchlibrary.rsreader.RSXMLReader;

public class Reader extends Thread{
	private RSXMLReader reader=null;
	private int id=0;
	
	public Reader(RSXMLReader reader,int id){
		this.reader=reader;
		this.id=id;
	}
	
	public void run(){
		try{
			int count=0;
			while(true){
				count+=reader.getNumberOfResults();
				if(reader.isLast()) break;
				Thread.sleep(2000);
				System.out.println(id+":getting");
				reader.getNextPart();
				System.out.println(id+":get");
			}
			System.out.println(id+":"+count);
		}catch(Exception e){
			e.printStackTrace();
		}
	}
}
