package org.dataflow;

import org.diligentproject.searchservice.searchlibrary.resultset.elements.ResultElementGeneric;
import org.diligentproject.searchservice.searchlibrary.resultset.helpers.RSConstants;
import org.diligentproject.searchservice.searchlibrary.rswriter.RSXMLWriter;

public class Writer extends Thread{
	private RSXMLWriter writer=null;
	private boolean flowControl=false;
	private int resnum=0;
	private long time=0;
	private int recsperpart=0;
	
	public Writer(RSXMLWriter writer,boolean flowControl,int recsperpart,int resnum,long time){
		this.writer=writer;
		this.flowControl=flowControl;
		this.resnum=resnum;
		this.time=time;
		this.recsperpart=recsperpart;
	}
	
	public void run(){
		try{
			int count=0;
			while(true){
				for(int i=0;i<recsperpart;i+=1){
					writer.addResults(new ResultElementGeneric("id"+count+i,"coll","rank",null));
				}
				count+=10;
				System.out.println("creating");
				writer.writeThrough();
				if(count>=resnum) break;
				if(this.flowControl && writer.more(time).compareTo(RSConstants.CONTROLFLOW.MORE)!=0) break;
			}
			writer.close();
		}catch(Exception e){
			e.printStackTrace();
		}
	}
}
